aaaaa
Novice

K2 blackpearl 4.6.7 installation requires ASP.NET 4.5 when the server is already installed

hi  experts,

we encountered the below issue when trying to install the K2 black pearl 4.6.7:

 

Installing blackpearl 4.6.7. Checking dependencies using setup wizard. It says ASP.NET 4.5 is missing. But ASP.NET 4.5 is already installed according to the operating system "Add Roles and Features Wizard". 

kindly help us out from the issue.  Any suggestion will be appreciated.   thanks in advanced.

 

BTW,  .net framework  3.5  also installed in the server.    there is no the issue when we  tried to do the check dependency for 4.7 installation.     just the installation for 4.6.7 has the issue.

 

 

0 Kudos
Reply
5 Replies
katlehon
Nintex Employee
Nintex Employee

Re: K2 blackpearl 4.6.7 installation requires ASP.NET 4.5 when the server is already installed

Good Morning aaaaa,

 

You are trying to install K2 blackpearl 4.6.7 on an environment that has .Net 3.5 and .Net 4.5. This could be the issue as the installation picks up the latter rather than the required .Net Framework (which is 4.5) . Please could you first remove the .Net 3.5 off your environment and try again with only one .Net framework present.

 

Should this post be helpful in resolving your issue, please mark it as such by "Mark As Solution" or "Kudo" as it will be of help to other community members who encounter a similar issue.

 

Regards,

Katleho

0 Kudos
Reply
aaaaa
Novice

Re: K2 blackpearl 4.6.7 installation requires ASP.NET 4.5 when the server is already installed

Hi Katlehon,

 

thanks for your suggestion.   one more question:   our k2 server is windows server 2012,  is it possible to remove the .net 3.5 from windows 2012?  i think it is a build-in installation,which cannot remove.

 

thanks.

0 Kudos
Reply
katlehon
Nintex Employee
Nintex Employee

Re: K2 blackpearl 4.6.7 installation requires ASP.NET 4.5 when the server is already installed

Hi aaaaa,

 

I just searched to find out if it is possible to remove the .net 3.5 that comes with the windows server, and I found that though it is possible to remove it for another, it is not safe. So do not remove it as it might be an issue in the future. My apologies we almost took the wrong route. 

 

Having said the above, there is a safer method that you can approach. Before you begin installation, navigate to Control Panel -> Programs -> Turn Windown Features on/off. Check the box of the .Net 4.5 to enable it and uncheck the box of the .Net 3.5 to disable it.  See image below:

 

 

7407iE22D63630F3988CF.png

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

After applying these changes, run your installation again.

 

Look at the following document  (https://help.k2.com/blackpearl/support-matrix-46archive-aspx) for future references on what K2 supports.

 

I hope this helps you.

Cheers

0 Kudos
Reply
aaaaa
Novice

Re: K2 blackpearl 4.6.7 installation requires ASP.NET 4.5 when the server is already installed

Katlehon,

  May I know your testing environment is windows 2012 server?  i tried to disable the .net 3.5 in my windows 2012.  it is impossbile to disable.

 

thanks.

 

0 Kudos
Reply
ElvisJacob
Apprentice

Re: K2 blackpearl 4.6.7 installation requires ASP.NET 4.5 when the server is already installed

Hi aaaaa

Deleting dotNet 3.5 is not a problem as long as you have another dotNet Framework on your system, i just did a repo on my system and everything is looking good, You can follow the below steps to uninstall dotNet on your system and make sure the installed dotnet is active so that it can be used by k2 blackpearl.

go to Control panel-->programs-->turn Windows Features On or Off-->any popup close it and Click Manage and follow steps below

 

7430i9A13660F1CDD1902.png

 

Should you find the information from the article useful or leading you to the answer please mark as "Solution and/or Kudo", as it will assist other k2 developers with relevant information in the near future.

 

Best Regards

Elvis

 

[K2 will not accept any liability for any issues arising from actions taken in respect of the information provided by any forum member]

0 Kudos
Reply